kio Library: KFilePermissionsPropsPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFilePermissionsPropsPlugin Class Reference

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KFilePermissionsPropsPlugin:

[legend]
Collaboration diagram for KFilePermissionsPropsPlugin:

[legend]
List of all members.

## Public Types
enum | PermissionsMode { PermissionsOnlyFiles = 0, PermissionsOnlyDirs = 1, PermissionsOnlyLinks = 2, PermissionsMixed = 3 }
enum | PermissionsTarget { PermissionsOwner = 0, PermissionsGroup = 1, PermissionsOthers = 2 }
## Public Member Functions
| KFilePermissionsPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
## Static Public Member Functions
static bool | supports (KFileItemList _items)

## Detailed Description

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file.

Definition at line 571 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KFilePermissionsPropsPlugin::KFilePermissionsPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 1471 of file kpropertiesdialog.cpp. References QWhatsThis::add(), KCompletion::addItem(), QGridLayout::addMultiCell(), QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QBoxLayout::addStretch(), QGridLayout::addWidget(), QBoxLayout::addWidget(), KPropsDlgPlugin::changed(), KCompletionBase::completionObject(), QObject::connect(), QPtrList::count(), QPtrListIterator::current(), endl(), KURL::fileName(), QString::find(), QString::fromLatin1(), QString::fromLocal8Bit(), KFileItem::group(), QComboBox::insertStringList(), KFileItem::isDir(), QString::isEmpty(), KFileItem::isLink(), KURL::isLocalFile(), KPropertiesDialog::item(), KPropertiesDialog::items(), kdWarning(), KPropertiesDialog::kurl(), KURL::path(), KFileItem::permissions(), KURL::protocol(), KCompletionBase::setAutoDeleteCompletionObject(), QLabel::setBuddy(), QGridLayout::setColStretch(), KLineEdit::setCompletionMode(), KLineEdit::setCompletionObject(), QComboBox::setCurrentItem(), KCompletion::setItems(), QString::setNum(), KCompletion::setOrder(), KLineEdit::setText(), and KFileItem::user().

## Member Function Documentation

void KFilePermissionsPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 2276 of file kpropertiesdialog.cpp. References QPtrList::append(), KIO::chmod(), QObject::connect(), QPtrList::count(), QComboBox::currentText(), QString::isEmpty(), KPropertiesDialog::items(), and QLineEdit::text().

bool KFilePermissionsPropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the file specified by _items needs a 'Permissions' plugin. Definition at line 2029 of file kpropertiesdialog.cpp. Referenced by KPropertiesDialog::canDisplay().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:44 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003